svn commit: samba r18247 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Fri Sep 8 04:35:43 GMT 2006


Author: tridge
Date: 2006-09-08 04:35:41 +0000 (Fri, 08 Sep 2006)
New Revision: 18247

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18247

Log:

more shell portability fixes

Modified:
   branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
   branches/SAMBA_4_0/source/script/tests/selftest.sh
   branches/SAMBA_4_0/source/script/tests/test_cifsdd.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-08 04:35:00 UTC (rev 18246)
+++ branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-08 04:35:41 UTC (rev 18247)
@@ -331,22 +331,22 @@
 rm -f $MODCONF
 touch $MODCONF
 
-if ! slaptest -u -f $SLAPD_CONF > /dev/null 2>&1; then
+slaptest -u -f $SLAPD_CONF > /dev/null 2>&1 || {
     echo "enabling slapd modules"
     cat > $MODCONF <<EOF 
 modulepath	/usr/lib/ldap
 moduleload	back_bdb
 EOF
-fi
+}
 
 if slaptest -u -f $SLAPD_CONF; then
-    if ! slapadd -f $SLAPD_CONF < $PRIVATEDIR/$DNSNAME.ldif; then
+    slapadd -f $SLAPD_CONF < $PRIVATEDIR/$DNSNAME.ldif || {
 	echo "slapadd failed"
-    fi
+    }
 
-    if ! slaptest -f $SLAPD_CONF; then
+    slaptest -f $SLAPD_CONF || {
 	echo "slaptest after database load failed"
-    fi
+    }
 fi
     
 PATH=$OLDPATH

Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2006-09-08 04:35:00 UTC (rev 18246)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2006-09-08 04:35:41 UTC (rev 18247)
@@ -58,10 +58,10 @@
 if [ x"$TEST_LDAP" = x"yes" ]; then
     slapd_start
     echo -n "LDAP PROVISIONING..."
-    if ! $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI; then
+    $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI || {
 	echo "LDAP PROVISIONING failed: $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI"
 	exit 1;
-    fi
+    }
 fi
 
 SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"

Modified: branches/SAMBA_4_0/source/script/tests/test_cifsdd.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_cifsdd.sh	2006-09-08 04:35:00 UTC (rev 18246)
+++ branches/SAMBA_4_0/source/script/tests/test_cifsdd.sh	2006-09-08 04:35:41 UTC (rev 18247)
@@ -37,8 +37,7 @@
 	if [ -r $1 -a -r $2 ] ; then
 	    sum1=`sum $1`
 	    sum2=`sum $2`
-
-	    [[ x"$sum1" = x"$sum2" ]]
+	    test "$sum1" = "$sum2"
 	else
 	    false
 	fi



More information about the samba-cvs mailing list